Index: doc/index.txt
===================================================================
--- doc/index.txt	(revision 4853)
+++ doc/index.txt	(working copy)
@@ -28,6 +28,9 @@
 file for each tile, then merges all the tiles together into a
 single gmapsupp.img file.
 
+Regional extracts of OpenStreetMap data can be obtained from
+[http://download.geofabrik.de/ '''download.geofabrik.de'''].
+
 == Documentation ==
 The documentation that is currently available on this site is listed
 below.
@@ -50,6 +53,3 @@
 
 [/doc/tuning '''Tuning''']
 Instructions on how to minimise execution time and avoid running out of memory.
-
-Further information can be found in the
-[http://wiki.openstreetmap.org/wiki/Mkgmap '''Open Street Map wiki''']
Index: doc/options.txt
===================================================================
--- doc/options.txt	(revision 4853)
+++ doc/options.txt	(working copy)
@@ -220,17 +220,19 @@
 ;--mdr7-excl=name[,name...]
 :	Specify words which should be omitted from the road index. 
 It was developed before option --road-name-config and is probably no longer needed.
-Matching is done case insensitive.
+Matching is case insensitive.
 :	Example usage: --mdr7-excl="Road, Street, Weg"
 
 ;--mdr7-del=name[,name...]
 :	Use this option if your style adds strings to the labels of roads which you
 want to see in the map but which should not appear in the result list
-of a road name / address search. The list is used like this:
-For each road label, mkgmap searches for the last blank. If one is found, it checks
-whether the word after it appears in the given list. If so, the word is removed
-and the search is repeated. The remaining string is used to create the index.
-The search is done case insensitive.
+of a road name / address search.
+When creating the index, words in the given list are removed from the end of road labels.
+Any word not found in the given list is considerered to be a valid label; words
+before the last valid label are not removed.
+If the label consists of a single word in the given list, or all the words in the
+label are contained in the given list, then the label is omitted from the index.
+The comparison is case insensitive and words are separated by a space.
 :	Example: Assume your style adds surface attributes like 'pav.' or 'unp.' to a road
 label. You can use --mdr7-del="pav.,unp." to remove these suffixes from the index.
 
